[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomLabeledEdit.CMBiDiModeChanged

Handles the CM_BIDIMODECHANGED control message for the control.

## Declaration

Source position: extctrls.pp line 1038

`protected procedure TCustomLabeledEdit.CMBiDiModeChanged(`
`var Msg: TLMessage`
`); message;`

## Arguments

`Msg` |  | Message handled in the method.

## Description

Ensures that an assigned EditLabel uses the value stored in the BiDiMode property. Calls DoPositionLabel to update the control layout and position, and calls Invalidate to force the control to be redrawn.

Calls the inherited CMBiDiModeChanged method.

## See also

TCustomLabeledEdit.EditLabel |  | EditLabel - the label attached to the edit box.
TCustomLabeledEdit.DoPositionLabel |  | DoPositionLabel - perform the code for positioning the label.
TWinControl.Invalidate |  | Schedules a repaint request.
TWinControl.CMBiDiModeChanged |  | Handles a CM_BIDIMODECHANGED control message for the control.
TControl.BiDiMode |  | Indicates whether text controls use in bi-directional reading.